/*
 * Derived from Epic Fight (https://github.com/Epic-Fight/epicfight)
 * by the Epic Fight Team, licensed under GPLv3.
 * Modifications © 2026 TiedUp! Remake Contributors, distributed under GPLv3.
 */

package com.tiedup.remake.rig.armature.types;

import com.tiedup.remake.rig.armature.Joint;

/**
 * This class is not being used by Epic Fight, but is left to meet various purposes of developers
 * Also presents developers which joints are necessary when an armature would be Human-like
 */
public interface HumanLikeArmature extends ToolHolderArmature {
	public Joint leftHandJoint();
	public Joint rightHandJoint();
	public Joint leftArmJoint();
	public Joint rightArmJoint();
	public Joint leftLegJoint();
	public Joint rightLegJoint();
	public Joint leftThighJoint();
	public Joint rightThighJoint();
	public Joint headJoint();
}
